<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 05/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-memedit.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Edit member's menu                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Editieren Sie das Menue fuer Ihre Mitglieder     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Do we edit/delete/change main menus or sub menus?
$AND = "(`what` = '' OR `what` IS NULL)"; $subMenu = '';

if (isGetRequestParameterSet('sub')) {
	$AND = sprintf("`action`='%s' AND `what` IS NOT NULL", getRequestParameter('sub'));
	$subMenu = getRequestParameter('sub');
} // END - if

// List all menu points and make them editable
if ((isFormSent('edit')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Edit menu entries
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();
	$cnt = '0'; $OUT = '';
	foreach (postRequestParameter('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$cnt++;
			$result = SQL_QUERY_ESC("SELECT `title`, `action`, `what` FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) == 1) {
				// Entry found so we load the stuff...
				$data = SQL_FETCHARRAY($result);
				$data = array(
					'cnt'    => $cnt,
					'sel'    => $sel,
					'menu'   => $data['title'],
					'action' => adminAddMenuSelectionBox('member', 'action', 'sel_action[' . $sel . ']', $data['action']),
					'what'   => adminAddMenuSelectionBox('member', 'what'  , 'sel_what[' . $sel . ']', $data['what']),
				);

				// Load template
				$OUT .= loadTemplate('admin_edit_member_menu_row', true, $data);
			} else {
				// Entry not found?
				$data = array(
					'sel' => $sel
				);

				// Load template
				$OUT .= loadTemplate('admin_menu_404_row', true, $data);
			}
			SQL_FREERESULT($result);
		} // END - if
	} // END - foreach

	// Add row content and current counter
	$content['rows'] = $OUT;
	$content['cnt'] = $cnt;

	// Load template
	loadTemplate('admin_edit_member_menu', false, $content);
} elseif ((isFormSent('delete')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Del menu entries with or without confirmation
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();
	$cnt = '0'; $OUT = '';
	foreach (postRequestParameter('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$cnt++;
			$result = SQL_QUERY_ESC("SELECT `title` FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) == 1) {
				// Entry found so we load the stuff...
				list($title) = SQL_FETCHROW($result);
				$content = array(
					'cnt'   => $cnt,
					'sel'   => $sel,
					'title' => $title
				);

				// Load template
				$OUT .= loadTemplate('admin_delete_member_menu_row', true, $content);
			} else {
				// Entry not found?
				$content = array(
					'sel' => $sel
				);

				// Load template
				$OUT .= loadTemplate('admin_menu_404_row', true, $content);
			}
			SQL_FREERESULT($result);
		} // END - if
	} // END - foreach
	$content['rows'] = $OUT;
	$content['cnt'] = $cnt;

	// Load template
	loadTemplate('admin_delete_member_menu', false, $content);
} elseif ((isPostRequestParameterSet('status')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Change status (visible / locked)
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();
	$cnt = '0'; $OUT = '';
	foreach (postRequestParameter('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$cnt++;
			$result = SQL_QUERY_ESC("SELECT `title`, `visible`, `locked` FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) == 1) {
				// Entry found so we load the stuff...
				$data = SQL_FETCHARRAY($result);
				$data = array(
					'cnt'     => $cnt,
					'menu'    => $data['title'],
					'sel'     => $sel,
					'visible' => addSelectionBox('yn', $data['visible'], 'visible', $sel),
					'locked'  => addSelectionBox('yn', $data['locked'] , 'locked' , $sel),
				);

				// Load template
				$OUT .= loadTemplate('admin_menu_status_row', true, $data);
			} else {
				// Entry not found?
				$data = array(
					'sel' => $sel
				);

				// Load template
				$OUT .= loadTemplate('admin_menu_404_row', true, $data);
			}
			SQL_FREERESULT($result);
		} // END - if
	} // END - foreach
	$content['rows'] = $OUT;
	$content['cnt'] = $cnt;

	// Load template
	loadTemplate('admin_member_menu_status', false, $content);
} elseif ((isFormSent()) && (!isDemoModeActive())) {
	// Process menu editing form
	adminProcessMenuEditForm('member', $subMenu);
} else {
	// Handle weightning
	doAdminProcessMenuWeightning('guest');

	if (!empty($subMenu)) {
		// Edit sub menus
		$result = SQL_QUERY("SELECT `id`, `action`, `what`, `title`, `sort` FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE ".$AND." AND `what` != '' AND `what` IS NOT NULL ORDER BY `sort` ASC", __FILE__, __LINE__);
	} else {
		// Edit main menus
		$result = SQL_QUERY("SELECT `id`, `action`, `what`, `title`, `sort` FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE (`what`='' OR `what` IS NULL) ORDER BY `sort` ASC", __FILE__, __LINE__);
	}

	// Some are there?
	if (SQL_NUMROWS($result) > 0) {
		// Set sub value
		$content['sub'] = $subMenu;

		$cnt = '0'; $OUT = '';
		while ($data = SQL_FETCHARRAY($result)) {
			// Init navigation
			$data['navi'] = '';
			$cnt++;
			if (($data['sort'] == '0') || (($data['sort'] == 1) && (!empty($subMenu)))) {
				// Is highest position
				$data['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $data['action'] . '&amp;w=' . $data['what'] . '&amp;tid=' . ($data['sort']+1) . '&amp;fid=' . $data['sort'] . '%}">{--LOWER--}</a>';
			} elseif ($cnt == SQL_NUMROWS($result)) {
				// Is lowest position
				$data['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $data['action'] . '&amp;w=' . $data['what'] . '&amp;tid=' . ($data['sort']-1) . '&amp;fid=' . $data['sort'] . '%}">{--HIGHER--}</a>';
			} elseif ($data['sort'] > 0) {
				// Anything else between highest and lowest
				$data['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $data['action'] . '&amp;w=' . $data['what'] . '&amp;tid=' . ($data['sort']-1) . '&amp;fid=' . $data['sort'] . '%}">{--HIGHER--}</a>/<a href="{%url=modules.php?module=admin&amp;what=memedit&amp;sub=' . $content['sub'] . '&amp;act=' . $data['action'] . '&amp;w=' . $data['what'] . '&amp;tid=' . ($data['sort']+1) . '&amp;fid=' . $data['sort'] . '%}">{--LOWER--}</a>';
			}

			// Fix empty values for Firefox
			if (empty($data['action'])) $data['action'] = '&nbsp;';
			if (empty($data['what']))   $data['what']   = '&nbsp;';
			if (empty($data['title']))  $data['title']  = '&nbsp;';

			// Add more entries
			$data['mode'] = 'mem';

			// Load row template and switch color
			$OUT .= loadTemplate('admin_menu_overview_row', true, $data);
		} // END - while

		// Free memory
		SQL_FREERESULT($result);

		// Remember rows in array
		$content['rows'] = $OUT;

		// Load main template
		loadTemplate('admin_member_menu_overview', false, $content);
	} else {
		// Menu entries are missing... (???)
		loadTemplate('admin_settings_saved', false, '{--ADMIN_NO_MENUS_FOUND--}');
	}
}

// [EOF]
?>
