<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/17/2005 *
 * ===================                          Last change: 02/17/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-doubler.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : General doubling informations                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeine Informationen zum Verdoppen           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

if ((!isExtensionActive('doubler')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('doubler'));
	return;
} // END - if

// Init nickname
$content['nickname'] = '';

// Transfer referal id
if (isExtensionActive('nickname')) {
	// Load nickname from DB
	$content['nickname'] = getNickname(getMemberId());
} // END - if

// Which mail-send-mode did the admin setup?
$content['payout_time'] = '{--DOUBLER_PAYOUT_TIME_' . getConfig('doubler_send_mode') . '--}';

// Generate table with already payed out doubles
$content['payout_history'] = generateDoublerTable(getMemberId(), 'Y', 'N', 'DESC');

// Generate table with refferal payouts
$content['payout_ref'] = generateDoublerTable(getMemberId(), 'N', 'Y', 'DESC');

// Load template
loadTemplate('member_doubler', false, $content);

// [EOF]
?>
